Tubealongpath.rb
-
Hey y'all,
I have this script from
http://www.crai.archi.fr/RubyLibraryDepot/Ruby/TubeAlongPath.rb
I like the way that it works with one exception.
I would love to have it on the context menu when I right-click a line.
I played around a bit and I could get it to show up on the context
menu, but cannot get it to work from there.Any help would be appreciated.
Thanks,
Mike W.
-
That is also one of my favorite scripts, but I simply added a shortcut key for it.
--Lewis
[Lewis Wadsworth]
-
UI.add_context_menu_handler { |m| m.add_item("Tube Along Path") { tube_along_path } }
azuby
-
I also use it a lot with Gothic vault ribs and window tracery. I love it!
-
Does it look similar to chamferalongpath.rb?
[Invader ZIM]
-
@unknownuser said:
That is also one of my favorite scripts, but I simply added a shortcut key for it.
--Lewis
You replied about the tubealongpath.rb
What does this ruby do that follow me does not? I did not want to divert the topic.
Thanks. -
Eric, it mostly does the same it is just a faster and easier way of it (though obviously with limited possibilities regarding the faces to be extruded). But when I need to extrude a lot of faces all along a Gothic window tracery for instance, it is very handy because I dont need to precisely place the faces to be extruded just hit the script and it does the job.
Obviously I don't always use it when making extrusions. -
Eric,
I end up modeling a great many tubular railings along stairs and balconies, and this is something of a life saver...I don't have to orient a face perpendicular to the edge that describes the rail, I just select the rail, hit the hotkey for the plugin, specify my diameter, and go. It has also proved useful in creating steel trusses and open-web joists where the chords are round in cross section.
However, the variant pipe-along-path ruby is even more useful much of the time, because I can specify the number of edges in the circle sweeping the edge. Usually I don't need more than 8 if the tube/pipe is small diameter. I just have to remember to set the inner diameter to 0 when I don't want a real pipe.
http://www.crai.archi.fr/RubyLibraryDepot/Ruby/PipeAlongPath.rb
--Lewis
[Lewis Wadsworth]
-
Azuby,
Thanks much! That worked like a charm.
Eric,
I am making a model of our plant and all of its plumbing and wiring. This works well for tubing along odd angles because I don't have to set a face for follow me to use.
Thanks all,
Mike W.
-
Glad my script is useful...
-
We all are, TIG, thanks...
-
Thanks for the Script TIG, and thanks for the information Gaieus and Lewis. I will go get me one.
-
Typically at the end of an interactive script there's a menu section, something like:
if( not file_loaded?("............."))
XXXXXXXXXXXXXXXXX
file_loaded="..........."
The "............." is the script's name and the XXXXXXXXXXXXXXXX part is the menu definition - this is so it only loads once if for some reason you manually load the script etc you'll only get one menu item.
To add a right-click context-menu you need to add some code - like azuby's or similar forms. You replace the title and 'action' to suit... so in "Mirror.rb" it's:
...
UI.add_context_menu_handler do |menu|
if Sketchup.active_model.selection
menu.add_separator
menu.add_item("Mirror Selection") { Sketchup.active_model.select_tool MirrorTool.new}
end#if
end#do menu
...
inside the if loop at the end as well as the normal Plugins Menu instructions...Azuby's equivalent way would be:
...
UI.add_context_menu_handler{|menu|menu.add_separator;menu.add_item("Mirror Selection"){Sketchup.active_model.select_tool MirrorTool.new}}
... -
Feel free... it's the only way we learn...
-
Just to update TIG's reply, here is the code to cut and paste that worked for me FOR THE PIPE_ALONG_PATH ruby:
###$submenu2.add_item("Pipe Along Path") { pipe_along_path }### UI.add_context_menu_handler{|menu|menu.add_separator;menu.add_item("Pipe Along Path"){Sketchup.active_model.select_tool pipe_along_path.new}}
Hope this helps everyone enjoy this excellent piece of code.
Thanks again TIG
Kelly
-
Sorry guys....
I'm a little bit new with sketchup plugin and ruby script....
so...
I can't understand how I can install this tool..
Could someone help me?many thanks,
Stef. -
You need to download the file form the link in the OP. Once youve done that you need to move it to the plugins folder in the SU system file -> \google\google sketchup 6\plugins
Once youve done that the plugin should be in the 'plugins' menu next time you start SU up.
-
Hi Remus!
Thank you for your answer.....
but...
usually I download a file (with .rb file) and I put in plugin folder....(as you told me!)
I don't understand when you say "You need to download the file form the link in the OP"Is there a link where I can download the file?
(I can find just the script text and I'm not able to use it)Probably it is a silly request...I know, I'm very new of sketcup's plugins!...sorry!
Could someone help me?...Thanks!Stef.
-
Hi Stef,
Yes, that is the script itself actually.
Select all the text and copy/paste it into a plain text editor (such as Notepad or something - no MS Word or anything like that!) then save the text file as TubeAlongPath.rb into the Plugins folder. -
Hi TIG!
Is it possible to extend the existing .rb by adding 3d\cross etc. line conjunctions handling?
It'd be a real killer!
Advertisement